%define major 1
%define libxrender %mklibname xrender %{major}
%define devxrender %mklibname xrender -d

Name: libxrender
Summary:  X Render Library
Version: 0.9.11
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/lib/libXrender-%{version}.tar.xz
# (fc) disable Xrender on DMX (Mdk bug #19925)
Patch0: libXrender-0.9.1-dmx.patch
BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Render Library

#-----------------------------------------------------------

%package -n %{libxrender}
Summary:  X Render Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxrender}
X Render Library

%files -n %{libxrender}
%{_libdir}/libXrender.so.%{major}
%{_libdir}/libXrender.so.%{major}.*

#-----------------------------------------------------------

%package -n %{devxrender}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxrender} = %{version}-%{release}
Provides: libxrender-devel = %{version}-%{release}
Obsoletes: %{_lib}xrender1-devel < 0.9.8-2
Obsoletes: %{_lib}xrender1-static-devel < 0.9.8-2

%description -n %{devxrender}
Development files for %{name}

%files -n %{devxrender}
%{_libdir}/libXrender.so
%{_libdir}/pkgconfig/xrender.pc
%{_includedir}/X11/extensions/Xrender.h
%dir %{_docdir}/libXrender
%{_docdir}/libXrender/*

#-----------------------------------------------------------

%prep
%setup -q -n libXrender-%{version}
%autopatch -p1

%build
%configure	--disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete


%changelog
* Sun Oct 23 2022 tv <tv> 0.9.11-1.mga9
+ Revision: 1898632
- 0.9.11

* Sat Mar 19 2022 umeabot <umeabot> 0.9.10-4.mga9
+ Revision: 1800144
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 0.9.10-3.mga8
+ Revision: 1514671
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.9.10-2.mga7
+ Revision: 1299268
- Mageia 7 Mass Rebuild

* Wed Oct 05 2016 tv <tv> 0.9.10-1.mga6
+ Revision: 1058899
- new release

* Fri Feb 12 2016 umeabot <umeabot> 0.9.9-2.mga6
+ Revision: 956006
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 tv <tv> 0.9.9-1.mga6
+ Revision: 837502
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.9.8-5.mga5
+ Revision: 742994
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.8-4.mga5
+ Revision: 681896
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.8-3.mga5
+ Revision: 532711
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 0.9.8-2.mga4
+ Revision: 469369
- drop major from devel pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- drop static devel pkg

* Fri Jun 14 2013 tv <tv> 0.9.8-1.mga4
+ Revision: 443020
- new release
- submit to core/release
- actually apply patch

* Mon Jun 03 2013 tv <tv> 0.9.7-4.mga4
+ Revision: 435925
- patch 1: security fixes

* Fri Feb 08 2013 luigiwalser <luigiwalser> 0.9.7-3.mga3
+ Revision: 397175
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 0.9.7-2.mga3
+ Revision: 358629
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 0.9.7-1.mga2
+ Revision: 222189
- rediff patch
- new release

* Mon Nov 21 2011 fwang <fwang> 0.9.6-2.mga2
+ Revision: 170305
- enable static
- drop .la files

* Wed Jan 12 2011 dmorgan <dmorgan> 0.9.6-1.mga1
+ Revision: 7285
- imported package libxrender

